Bug 47265 - unable to repartition disk with Solaris installed
unable to repartition disk with Solaris installed
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-04 05:40 EDT by Gene Czarcinski
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-06 15:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fdisk output -- partitioning create by Solaris 8 install (270 bytes, text/plain)
2001-07-06 10:38 EDT, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2001-07-04 05:40:15 EDT
Description of Problem:
I had an ide disk on hda with Solaris 8 installed (two partitions: 'bc" and
'83').  I then attempted to install beta1 with the intent to delete these
partitions and allocate new partitions.  The installer partitioning refused
to deal with this disk.

I got around the problem by booting a rescue system and creating an empty
DOS partition table.

How Reproducible:

Steps to Reproduce:
1. as above.

Actual Results:

Expected Results:

Additional Information:
Comment 1 Michael Fulbright 2001-07-05 11:32:59 EDT
Could you attach the fdisk output of the original drive state?
Comment 2 Gene Czarcinski 2001-07-06 10:38:03 EDT
Created attachment 22887 [details]
fdisk output -- partitioning create by Solaris 8 install
Comment 3 Gene Czarcinski 2001-07-06 10:41:45 EDT
Some additional information -- when partioning options panel is up the following
message appears on a popup at the top of the screen: "Unable to align partition
properly.  This probably means that another partitioning tool generated an
incorrect partition table because it didn't ha ..."

This message is in a single line which goes off the right of the screen.

After putting this up, the install goes into a hard lockup.
Comment 4 Michael Fulbright 2001-07-06 11:59:27 EDT
Thanks we'll look at this.
Comment 5 Gene Czarcinski 2001-07-06 12:53:44 EDT
Oops.  I had the opportunity to try this again and it is not quite what I
previously thought.

1.  The system does not lock up.  I can switch between the virtual terminates.
On vt1 is the full (very long) message.

2.  Switch back to the gui, I kept hitting tab until I finally got out -- the
popup was still at the top of the screen.

3.  I proceeded to configure for an install into hdb6.

4.  When it got to the install part, things seemed to just hang ... no
additional messages anywhere but no install either.

5.  I wiped hda and tried to install there ... works.
Comment 6 Matt Wilson 2001-07-13 14:43:50 EDT
Just hanges?  Very strange indeed.  I'll try to find a copy of Solaris 8 here -
I think we had one.
Comment 7 Gene Czarcinski 2001-07-13 16:20:54 EDT
Solaris 2.6 just created a single "82" partition and you could share the
harddisk with other systems (tricky with linux but it could be done).

Solaris 8 (and maybe 7 but I don't know) allocates two partitions: the big "82"
partition which it sub partitions for itself and a small (10240 bytes) partition
with a strange partition id ("bc" if I remember correctly since I cannot access
this as I am writing this).

The Linux installer also complains about the partition definitions not being
aligned correctly.
Comment 8 Glen Foster 2001-07-13 18:18:41 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 9 Jeremy Katz 2001-07-30 17:56:48 EDT
Out of curiosity since we've done a bit of work here since beta1... does this do
any better under beta3?
Comment 10 Gene Czarcinski 2001-08-06 15:30:13 EDT
Comment -- unfortunately, it is not much better under beta3.  However, it is
easier to live with because the message popup is readable.

The problem is that Solaris really screws up the partition table.  Maybe this is
just one of those -- live with it.

I plan to look into this a bit further but I am leaning toward saying that have
Linux play with the disk first (no extended partitions) and make sure to leave
one or two partitions free and then have Solaris do its stuff with the

I would also suggest that allocation start with Cyl 2 or 3 since Solaris plays
with the beginning of the disk.
Comment 11 Matt Wilson 2001-08-09 23:35:37 EDT
Dual booting with Solaris isn't a supportable option right now.

Note You need to log in before you can comment on or make changes to this bug.